Jump to content


Photo

BWPv18.2 released


  • Please log in to reply
175 replies to this topic

#1 Leonardo Watson

Leonardo Watson
  • Member
  • 496 posts

Posted 27 September 2019 - 09:25 AM

Finally BWPv18.2 is out! The main focus was on bug fixing and improvements. But a few problems still remain:

1.) Refinements v24 component 110 Thief HLAs freezes the game when Imoen frees the protagonist from the cage in Irenicus dungeon.

2.) The new Ascension v2.0.6 is not compatible with Iylos, Edwin Romance, Wheels, Longer Road because these mods want to add content to BALTH2 from Ascension v1 that is no longer existing in Ascension v2.

3.) Stratagems v32 and Wheels v8 cannot be installed on 32-bit engines.

4.) On 32-bit engines maybe there is not enough memory to install Stratagems component 6000 in a large megamod installation.
When you have started your computer with disabled virus scanner and not opened any other programm the installation of Stratagems component 6000 should work however. (Sobald ein weiteres Programm geöffnet wird, wird Arbeitsspeicher belegt und auch dann nicht freigegeben, wenn das Programm wieder geschlossen wurde)

5.) Half of the components of the "Made in Heaven: Encounters & Quests" mod cannot be installed because of errors: "Couldn't add MH_EMERALD_CLOUD to spell.ids as no slots remain" even if there are free slots.

6.) There is a first try of making VCv21 and NeJ3v71 compatible without any warranty that it really works! I had no time to ply it so try it on your own risk!

-------

One thing I do not understand is how the stats.ids works. Some mods are changing the symbolic identifiers that are used instead of the literal numbers.
For example:


Original / IESDP:    
    
166    MELEETHAC0MOD
167    MELEEDAMAGE
168    MISSILEDAMAGE
169    NOCIRCLE
170    FISTTHAC0
171    FISTDAMAGE
172    TITLE1
173    TITLE
174    DISABLEOVERLAY
175    DISABLEBACKSTAB


Stratagems:    
    
166    DMWW_SLOT_166
167    DMWW_SLOT_167
168    DMWW_SLOT_168
169    DMWW_SLOT_169
170    DMWW_SLOT_170
171    DMWW_SLOT_171
172    DMWW_SLOT_172
173    DMWW_SLOT_173
174    DMWW_SLOT_174
175    DMWW_SLOT_175


Detectable Spells:    
    
166    PROTECTION_FROM_EVIL
167    TRUE_SIGHT
168    CLERIC_CHAOTIC_COMMANDS
169    CLERIC_MAGIC_RESISTANCE
170    CLERIC_INSECT_PLAGUE
171    CLERIC_BLADE_BARRIER
172    CLERIC_PHYSICAL_MIRROR
173    CLERIC_SHIELD_OF_THE_ARCHONS
174    CLERIC_REGENERATION
175    CLERIC_CREEPING_DOOM


Rogue Rebalancing:    
    
166    SCRIPTINGSTATE11
167    SCRIPTINGSTATE12
168    SCRIPTINGSTATE13
169    SCRIPTINGSTATE14
170    SCRIPTINGSTATE15
171    SCRIPTINGSTATE16
172    SCRIPTINGSTATE17
173    SCRIPTINGSTATE18
174    SCRIPTINGSTATE19
175    SCRIPTINGSTATE20


Spell-Revisions:    
    
166    MELEE_THACO_BONUS
167    MELEE_DAMAGE_BONUS
168    MISSILE_DAMAGE_BONUS
169    DISABLE_CIRCLE
170    FIST_THACO_BONUS
171    FIST_DAMAGE_BONUS
172    CLASS_STRING_OVERRIDE_MIXED
173    CLASS_STRING_OVERRIDE_LOWER
174    PREVENT_SPELL_PROTECTION_EFFECTS
175    IMMUNITY_TO_BACKSTAB


Dependent on the mods installed before the next mod to install finds very different symbolic identifiers for the same numbers. Does it not cause a lot of trouble? Does the mod work like intended?



#2 Greenhorn

Greenhorn
  • Member
  • 616 posts

Posted 27 September 2019 - 09:49 AM

Glad that you are still active and congratulations on new version Leonardo! As for the questions at the end of the post maybe best thing is to ask them on their respective forums? At least I know that  Stratagems are still actively supported although it is uncertain how much for older engine... 



#3 Sergio

Sergio
  • Member
  • 926 posts

Posted 27 September 2019 - 10:18 AM

Thanks for all the work you're doing for us, Leonardo :)

By the way, what do you mean 32 bit engine? Are you referring to the people still using windows 32 bit?


Low hung brow, dazed look on your face..... It appears that you are correct, my friend. You are indeed a complete imbecile.


#4 The Imp

The Imp

    Not good, see EVIL is better. You'll LIVE.

  • Member
  • 4840 posts

Posted 27 September 2019 - 10:38 AM

Are you referring to the people still using windows 32 bit?

There's a 32 and 64 bit weidu here.

aika5.jpg

So yeah.


Yep, Jarno Mikkola. my Mega Mod FAQ. Use of the BWS, and how to use it(scroll down that post a bit). 
OK, desert dweller, welcome to the sanity, you are free to search for the limit, it's out there, we drew it in the sand. Ouh, actually it was still snow then.. but anyways.


#5 Leonardo Watson

Leonardo Watson
  • Member
  • 496 posts

Posted 27 September 2019 - 11:30 AM

I just noticed that one of my last changes causes that Imoen does not appear in Irenicus’ dungeon. Please don't install the megamod until I find the error.



#6 Azazello

Azazello

    The Anti-Spammer

  • Member
  • 1852 posts

Posted 27 September 2019 - 12:51 PM

@Leonardo: as always my brother, thanks to you and your 'team' for the beautiful work done to test and develop and publish BWP!

 

Side-note: I made a separate 'bug' thread for this version, asking that only comments & suggestions be put in this one. Let me know if that's ok or not.


You ever notice that "What the hell..." is the answer to just about everything?
================================================================
"Girls are like phones, they like to be held and talked too, but if you press the wrong button, you will be disconnected!" DJ Nikodemus
================================================================
Community Contributions
a directory of Mega-Installation Guides * Level 1 NPCs * gMinion: expanded TP2 for MegaInstalls * PSM (PSQM): expanded scripts for Melanthium * Weimer's-Tactics: revised TP2 for MegaInstalls * non-detectable Cloak of Non-Detection ?? * Shar Nadal (DSotSC-BGT) revision


#7 Greenhorn

Greenhorn
  • Member
  • 616 posts

Posted 28 September 2019 - 08:36 AM

Regarding those 2 mods unusable by 32-bit users ( me included  :whistling: ) maybe Leonardo could pack them in 32 - bit format if it isn't too much of a hassle? Ease enough to do it manually...  :shifty:



#8 tomkaz

tomkaz
  • Member
  • 971 posts

Donator

Posted 30 September 2019 - 01:05 PM

Hi Leonardo:

 

Thanks for the update to 18.2.  I know it takes a lot of work to make BWP and I really appreciate your efforts.

 

I have one problem.  I have a Windows 7 64bit computer.  I create my megamod game following the WeiDU.Log in BiG World Project 18.2 ENGLISH.pdf. A great help.  My problem is I am confused about which version of Stratagems to use. I have read the instructions in BWP about Stratagems v32.4 and Stratagems v31 and I am confused. In the WeiDU.Log it lists a component 1000 for Stratagems, but there is no component 1000 in Stratagems 32.4.  So should I use Stratagems 31 for my 64 bit computer?

 

If you could also list the choices you use BiG World Install.bat, it would be greatly appreciated.

 

Thanks for all your hard work,

Tom 



#9 The Imp

The Imp

    Not good, see EVIL is better. You'll LIVE.

  • Member
  • 4840 posts

Posted 30 September 2019 - 01:36 PM

 In the WeiDU.Log it lists a component 1000 for Stratagems, but there is no component 1000 in Stratagems 32.4.  So should I use Stratagems 31 for my 64 bit computer?

That's an old list... just like the 200 of the 300 pages have old content. You can't write the whole freaking book 20 times in row. Leonardo is not a printer. Or actually he is, and you know, the old come with the new... 


Yep, Jarno Mikkola. my Mega Mod FAQ. Use of the BWS, and how to use it(scroll down that post a bit). 
OK, desert dweller, welcome to the sanity, you are free to search for the limit, it's out there, we drew it in the sand. Ouh, actually it was still snow then.. but anyways.


#10 tomkaz

tomkaz
  • Member
  • 971 posts

Donator

Posted 01 October 2019 - 02:02 AM

Hi The Imp:

 

I do not agree with your last comment.  Here is my reason and some, not all, examples of differences in the WeiDU.Logs.

 

In the WeiDU.Log in BiG World Project v18.2 English.pdf, there are listed components for VCV21 v2.1, NEJ3V71 v7.1, BGT v1.20, MIH_EG v3, BG1UB v16.0, and Stratagems v31.  Stratagems 32.4 is not listed in WeiDU.Log but is in Section 19 with Stratagems v31.

 

In the WeiDU.Log in BiG World Project v18.1 English.pdf, the previous version, there are listed components for VCV10 v1.0, NEJ3V702 v7.02, BGT v1.20, no HIH_EG, BG1UB v15.1, and Stratagems v30.

 

Granted there sections of older mods which were copied from older versions of BiG World Project English.pdf into BiG World Project v18.2 English.pdf.  These do not need to be rewritten. But the differences in the WeiDU.Log sections of BiG World Project v18.1 and BiG World Project v18.2 indicate Leonardo runs a new megamod game for for each version of BiG World Project English.

 

Since Leonardo used Stratagems v31 for BiG World Project v18.2, as evidenced by the WeiDU.Log, I assume that for testing,  he is either using a 32 bit computer or there is an advantage for using Stratagems v31 over  Stratagems 32.4. That is why I ask if on a 64 bit computer, it would be better to use Stratagems v31 for compatibility with other mods.

 

Note that the first component of Stratagems v31 is #1000 and the first component of Stratagems 32.4 is #1500.

 

Tom  



#11 The Imp

The Imp

    Not good, see EVIL is better. You'll LIVE.

  • Member
  • 4840 posts

Posted 01 October 2019 - 03:13 AM

@tomkaz , read page 11 of the .pdf.

Aka, SCS 32.4 is used as a 64 bit OS(pages 247 - 253), and SCS 31 is used with 32 bit aka the grayed out portion between pages number 253 and 261.


Yep, Jarno Mikkola. my Mega Mod FAQ. Use of the BWS, and how to use it(scroll down that post a bit). 
OK, desert dweller, welcome to the sanity, you are free to search for the limit, it's out there, we drew it in the sand. Ouh, actually it was still snow then.. but anyways.


#12 Leonardo Watson

Leonardo Watson
  • Member
  • 496 posts

Posted 01 October 2019 - 04:38 AM

@Azazello
It's fine with the bug thread.
Unfortunately there is no team for years I'm the only one who works on it.

@Greenhorn
Stratagems and Wheels are using a ssl.exe that is only available for 64-bit engines. https://www.gibberli...ndows-machines/
I think David W. would be glad if someone could solve the problem.

@tomkaz
I'm using a 32-bit computer hence the WeiDU.log lists the older stratagems v31. The batch file recognizes whether you are using a 32-bit or 64-bit engine and installs the properly stratagems version.

@all
Finally the good news: obviously the starting problem was caused by the subrace mod. Just don't install it and all goes fine.



#13 tomkaz

tomkaz
  • Member
  • 971 posts

Donator

Posted 01 October 2019 - 08:40 AM

Hi Leonardo:

 

Thank you for the reply.  I read your comments in BiG World Project v18.2 English.pdf again and compared the components in Stratagems v31 and Stratagems v32.4. I decided to use Stratagems v31.  The reason is that Stratagems v32.4 seemed a bit to complicated for me at this time.

 

Again, if possible and it is not private, I would appreciate learning your choices for BiG World Install.bat

 

Thanks for all your hard work in creating BiG World Project.  It is a terrific help in creating a megamod game.

Tom

 

Hi The Imp:

 

I had read pg 11 and the other pages.  I was unsure if Stratagems v31 could only be used only on a 32 bit computer or it would also work on a 64 bit computer. At my age, my memory is beginning to fade a bit so I am forced to 'ask' the younger players for the correct way to setup and play Baldur's Gate megamod games.  But, thanks for your comments.  You are a great help with my megamod game.

Tom



#14 tomkaz

tomkaz
  • Member
  • 971 posts

Donator

Posted 03 October 2019 - 12:51 PM

Hi All:

 

I have two problems with BGP v18.2.  I have spent 12 hours trying all sorts of solutions but have no luck. I can only proceed to the line in BiG World Install.bat that says "[1]       Display the preview? (strongly recommended!)".  I begin the preview.

 

Problem #1.

In the preview near the end of Section 18, I get "'IFSTXTCE' is not recognized as an internal or external command, operable program or batch file".  I have searched and cannot find 'IFSTXTCE' anywhere.  There are several lines like "%IFS%infinityanimations.exe %TXT% | findstr @385 | Call %C% >> %E%". But all appear to be correct.

 

Problem #2.

In the preview the program continues to Section 19 to the line "Call %EINSTI% stratagems "7070 7080 7110 7140 7900 8000"'.  Then the installation crashes.  There are no obvious errors in the code after that line.  I got this information from BWP Preview.log.

 

Any suggestions will be greatly appreciated.

TOM

 

Ajusted the Stratagems between 8000 and 8200 and the installation continued.  However, many mods, including BGT v1.2 are not being installed.

TOM


Edited by tomkaz, 03 October 2019 - 02:18 PM.


#15 Greenhorn

Greenhorn
  • Member
  • 616 posts

Posted 04 October 2019 - 02:47 AM

Unfortunately there is no team for years I'm the only one who works on it.

I ( and most others I believe ) cannot praise high enough your dedication and persistence. 

 

Stratagems and Wheels are using a ssl.exe that is only available for 64-bit engines. https://www.gibberli...ndows-machines/
I think David W. would be glad if someone could solve the problem.

Thanks for explanation. When I encountered similar problems I just renamed random exe into the mod I wished to install. So far it worked. 

 

Finally the good news: obviously the starting problem was caused by the subrace mod. Just don't install it and all goes fine.

I know that Welwerin's mod do this ( solution is that you install it after you start the game and after Imoen's cutscene but that mod unfortunately does some other nasty things it seems). I wasn't aware that FinnJo's mod also cause problems?  



#16 Leonardo Watson

Leonardo Watson
  • Member
  • 496 posts

Posted 04 October 2019 - 12:07 PM


@tomkaz
Your problem #2 is caused by a missing bracket. I will update the Installpack this weekend.

The preview shows how the installation would be if everything is fine. It is no guarantee for a faultless installation, but if you get errors there your installation will fail 100% so you should not try to install the mega mod as long as you get any error there.

Regarding the not installed mods I assume you tried to uninstall or re-install some mod because otherwise they would be there.

I cannot reproduce your problem #1. There is no IFSTXTCE anywhere so the only way is that you have manipulated the individual.bat in a wrong way. Read the readme how to do changes to the individual.bat.


@Greenhorn
Some people solving tricky crossword puzzles in their pastimes and others playing jigsaw puzzles. I like to puzzle out BWP instead.

I have installed the subrace mod without any problem for years. I have changed the install order because one component of the bigg tweaks prevents to start the selection of subrace mod if it is installed afterwards. Oddly enough all works fine before biffing. After biffing the selection dialogue started significant earlier and nothing happens in the dungeon. Some time I will explore what is the problem.



#17 Greenhorn

Greenhorn
  • Member
  • 616 posts

Posted 04 October 2019 - 01:10 PM

@Greenhorn
Some people solving tricky crossword puzzles in their pastimes and others playing jigsaw puzzles. I like to puzzle out BWP instead.

I have installed the subrace mod without any problem for years. I have changed the install order because one component of the bigg tweaks prevents to start the selection of subrace mod if it is installed afterwards. Oddly enough all works fine before biffing. After biffing the selection dialogue started significant earlier and nothing happens in the dungeon. Some time I will explore what is the problem.

Thank heavens on your favorite pastimes, they helped numerous peoples and I even dare to say revolutionized whole BG playing experience. I remember so long ago my first BGT install build with your guide.  :)

Hmm, I wonder which is that component responsible for that problem, and I hope you will manage to solve it. 

P.S. My bet is on the "Improved Difficulty System".   :P


Edited by Greenhorn, 05 October 2019 - 06:07 AM.


#18 tomkaz

tomkaz
  • Member
  • 971 posts

Donator

Posted 05 October 2019 - 04:16 AM

Hi Leonardo:

 

Thank you for your response.

 

I have found another problem (at least it is a problem for my fading mind).  In BiG World Project v18.2 English.pdf, the WeiDU.Log has listings for Vlad's Compilation v2.1 and Never Ending Journey 3 v7.1.  In BiG World Installpack v18.2.7z there is no code for VCv21 or NEJ3v71.  The code for VCv10 is there and there is no code for NEJ3v702. Please check this.

 

Thanks for all your efforts with BWP. 

 

Tom



#19 Leonardo Watson

Leonardo Watson
  • Member
  • 496 posts

Posted 05 October 2019 - 09:23 AM


@tomkaz
What file are you looking at? In the Install.bat see at line 40 and also line 222 and the following for VCv21 and line 278 and following for NeJ3v71.

@all
Installpack is updated to v18.2.1



#20 tomkaz

tomkaz
  • Member
  • 971 posts

Donator

Posted 06 October 2019 - 07:56 AM

Hi Leonardo:

 

My sincere apologies.  I downloaded a fresh copy of BiG World Installpack v18.2.7z and a copy of  BiG World Installpack v18.2.1.7z.  I checked the individual.bat files.  The VCv21 and NeJ3v71 are exactly the same.

 

I have a habit of keeping all different versions labeled and in separate folders and I keep different versions of games on separate computers. But this time I messed up and failed to check the critical files.

 

The only problem I have with my computer is that Microsoft changed the way I receive my updates.  I set it up to receive updates when I check Windows Update, but now I get them while I am running other programs.  That procedure crashed my WordPerfect program the other day.

 

I will now strip my computer of all older BWP files and reload all fresh copies of the new. correct files. It just dawned on me that my carelessness made me waste thirty six hours.

 

Thank you for your patience and help,

 

Tom